Index: code/branches/gamestate/data/gui/schemes/TaharezLook.scheme
===================================================================
--- code/branches/gamestate/data/gui/schemes/TaharezLook.scheme	(revision 6564)
+++ code/branches/gamestate/data/gui/schemes/TaharezLook.scheme	(revision 6566)
@@ -2,49 +2,49 @@
 <GUIScheme Name="TaharezLook">
 	<Imageset Name="TaharezLook" Filename="TaharezLook.imageset" />
-	<Font Name="Commonwealth-10" Filename="Commonwealth-10.font" />
 	<LookNFeel Filename="TaharezLook.looknfeel" />
 	<WindowRendererSet Filename="CEGUIFalagardWRBase" />
-	<FalagardMapping WindowType="TaharezLook/Button"      TargetType="CEGUI/PushButton"  Renderer="Falagard/Button"       LookNFeel="TaharezLook/Button" />
-	<FalagardMapping WindowType="TaharezLook/Checkbox"    TargetType="CEGUI/Checkbox"    Renderer="Falagard/ToggleButton" LookNFeel="TaharezLook/Checkbox" />
-	<FalagardMapping WindowType="TaharezLook/ImageButton" TargetType="CEGUI/PushButton"  Renderer="Falagard/Button"       LookNFeel="TaharezLook/ImageButton" />
-	<FalagardMapping WindowType="TaharezLook/RadioButton" TargetType="CEGUI/RadioButton" Renderer="Falagard/ToggleButton" LookNFeel="TaharezLook/RadioButton" />
-	<FalagardMapping WindowType="TaharezLook/FrameWindow"  TargetType="CEGUI/FrameWindow" Renderer="Falagard/FrameWindow"  LookNFeel="TaharezLook/FrameWindow" />
-	<FalagardMapping WindowType="TaharezLook/Titlebar"     TargetType="CEGUI/Titlebar"    Renderer="Falagard/Titlebar"     LookNFeel="TaharezLook/Titlebar" />
-	<FalagardMapping WindowType="TaharezLook/SystemButton" TargetType="CEGUI/PushButton"  Renderer="Falagard/SystemButton" LookNFeel="TaharezLook/Button" />
-	<FalagardMapping WindowType="TaharezLook/Editbox"          TargetType="CEGUI/Editbox"          Renderer="Falagard/Editbox"          LookNFeel="TaharezLook/Editbox" />
-	<FalagardMapping WindowType="TaharezLook/MultiLineEditbox" TargetType="CEGUI/MultiLineEditbox" Renderer="Falagard/MultiLineEditbox" LookNFeel="TaharezLook/MultiLineEditbox" />
-	<FalagardMapping WindowType="TaharezLook/Menubar"   TargetType="CEGUI/Menubar"   Renderer="Falagard/Menubar"   LookNFeel="TaharezLook/Menubar" />
-	<FalagardMapping WindowType="TaharezLook/PopupMenu" TargetType="CEGUI/PopupMenu" Renderer="Falagard/PopupMenu" LookNFeel="TaharezLook/PopupMenu" />
-	<FalagardMapping WindowType="TaharezLook/MenuItem"  TargetType="CEGUI/MenuItem"  Renderer="Falagard/MenuItem"  LookNFeel="TaharezLook/MenuItem" />
-	<FalagardMapping WindowType="TaharezLook/AlternateProgressBar" TargetType="CEGUI/ProgressBar" Renderer="Falagard/ProgressBar" LookNFeel="TaharezLook/AltProgressBar" />
-	<FalagardMapping WindowType="TaharezLook/ProgressBar"          TargetType="CEGUI/ProgressBar" Renderer="Falagard/ProgressBar" LookNFeel="TaharezLook/ProgressBar" />
-	<FalagardMapping WindowType="TaharezLook/VUMeter"              TargetType="CEGUI/ProgressBar" Renderer="Falagard/ProgressBar" LookNFeel="TaharezLook/VUMeter" />
-	<FalagardMapping WindowType="TaharezLook/VerticalScrollbar"   TargetType="CEGUI/Scrollbar" Renderer="Falagard/Scrollbar" LookNFeel="TaharezLook/VerticalScrollbar" />
-	<FalagardMapping WindowType="TaharezLook/HorizontalScrollbar" TargetType="CEGUI/Scrollbar" Renderer="Falagard/Scrollbar" LookNFeel="TaharezLook/HorizontalScrollbar" />
-	<FalagardMapping WindowType="TaharezLook/VerticalScrollbarThumb"   TargetType="CEGUI/Thumb" Renderer="Falagard/Button" LookNFeel="TaharezLook/VerticalScrollbarThumb" />
-	<FalagardMapping WindowType="TaharezLook/HorizontalScrollbarThumb" TargetType="CEGUI/Thumb" Renderer="Falagard/Button" LookNFeel="TaharezLook/HorizontalScrollbarThumb" />
-	<FalagardMapping WindowType="TaharezLook/LargeVerticalScrollbar"      TargetType="CEGUI/Scrollbar" Renderer="Falagard/Scrollbar" LookNFeel="TaharezLook/LargeVerticalScrollbar" />
-	<FalagardMapping WindowType="TaharezLook/LargeVerticalScrollbarThumb" TargetType="CEGUI/Thumb"     Renderer="Falagard/Button"    LookNFeel="TaharezLook/LargeVerticalScrollbarThumb" />
-	<FalagardMapping WindowType="TaharezLook/TabButton"  TargetType="CEGUI/TabButton"  Renderer="Falagard/TabButton"  LookNFeel="TaharezLook/TabButton" />
-	<FalagardMapping WindowType="TaharezLook/TabControl" TargetType="CEGUI/TabControl" Renderer="Falagard/TabControl" LookNFeel="TaharezLook/TabControl" />
-	<FalagardMapping WindowType="TaharezLook/TabContentPane"    TargetType="DefaultWindow"    Renderer="Falagard/Default"    LookNFeel="TaharezLook/TabContentPane" />
-	<FalagardMapping WindowType="TaharezLook/TabButtonPane"    TargetType="DefaultWindow"    Renderer="Falagard/Default"    LookNFeel="TaharezLook/TabButtonPane" />
-	<FalagardMapping WindowType="TaharezLook/ComboDropList" TargetType="CEGUI/ComboDropList" Renderer="Falagard/Listbox" LookNFeel="TaharezLook/ComboDropList" />
-	<FalagardMapping WindowType="TaharezLook/ComboEditbox"  TargetType="CEGUI/Editbox"	 Renderer="Falagard/Editbox" LookNFeel="TaharezLook/ComboEditbox" />
-	<FalagardMapping WindowType="TaharezLook/Combobox"	TargetType="CEGUI/Combobox"	 Renderer="Falagard/Default" LookNFeel="TaharezLook/Combobox" />
-	<FalagardMapping WindowType="TaharezLook/Listbox"           TargetType="CEGUI/Listbox"           Renderer="Falagard/Listbox"           LookNFeel="TaharezLook/Listbox" />
-	<FalagardMapping WindowType="TaharezLook/ListHeader"        TargetType="CEGUI/ListHeader"        Renderer="Falagard/ListHeader"        LookNFeel="TaharezLook/ListHeader" />
-	<FalagardMapping WindowType="TaharezLook/ListHeaderSegment" TargetType="CEGUI/ListHeaderSegment" Renderer="Falagard/ListHeaderSegment" LookNFeel="TaharezLook/ListHeaderSegment" />
-	<FalagardMapping WindowType="TaharezLook/MultiColumnList"   TargetType="CEGUI/MultiColumnList"   Renderer="Falagard/MultiColumnList"   LookNFeel="TaharezLook/MultiColumnList" />
-	<FalagardMapping WindowType="TaharezLook/Slider"      TargetType="CEGUI/Slider"      Renderer="Falagard/Slider"  LookNFeel="TaharezLook/Slider" />
-	<FalagardMapping WindowType="TaharezLook/SliderThumb" TargetType="CEGUI/Thumb" Renderer="Falagard/Button"  LookNFeel="TaharezLook/SliderThumb" />
-	<FalagardMapping WindowType="TaharezLook/ScrollablePane" TargetType="CEGUI/ScrollablePane" Renderer="Falagard/ScrollablePane" LookNFeel="TaharezLook/ScrollablePane" />
-	<FalagardMapping WindowType="TaharezLook/Spinner" TargetType="CEGUI/Spinner" Renderer="Falagard/Default" LookNFeel="TaharezLook/Spinner" />
-	<FalagardMapping WindowType="TaharezLook/Tooltip" TargetType="CEGUI/Tooltip" Renderer="Falagard/Tooltip" LookNFeel="TaharezLook/Tooltip" />
-	<FalagardMapping WindowType="TaharezLook/StaticImage" TargetType="DefaultWindow" Renderer="Falagard/StaticImage" LookNFeel="TaharezLook/StaticImage" />
-	<FalagardMapping WindowType="TaharezLook/StaticText"  TargetType="DefaultWindow" Renderer="Falagard/StaticText"  LookNFeel="TaharezLook/StaticText" />
-	<FalagardMapping WindowType="TaharezLook/ItemListbox" TargetType="CEGUI/ItemListbox" Renderer="Falagard/ItemListbox" LookNFeel="TaharezLook/ItemListbox" />
-	<FalagardMapping WindowType="TaharezLook/ListboxItem" TargetType="CEGUI/ItemEntry"   Renderer="Falagard/ItemEntry"   LookNFeel="TaharezLook/ListboxItem" />
-	<FalagardMapping WindowType="TaharezLook/GroupBox" TargetType="CEGUI/GroupBox"   Renderer="Falagard/Default"   LookNFeel="TaharezLook/GroupBox" />
-      <FalagardMapping WindowType="TaharezLook/Tree" TargetType="CEGUI/Tree"   Renderer="Falagard/Tree"   LookNFeel="TaharezLook/Tree" />
+
+    <FalagardMapping WindowType="TaharezLook/Button"                      TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="TaharezLook/Button" />
+    <FalagardMapping WindowType="TaharezLook/Checkbox"                    TargetType="CEGUI/Checkbox"          Renderer="Falagard/ToggleButton"      LookNFeel="TaharezLook/Checkbox" />
+    <FalagardMapping WindowType="TaharezLook/ImageButton"                 TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="TaharezLook/ImageButton" />
+    <FalagardMapping WindowType="TaharezLook/RadioButton"                 TargetType="CEGUI/RadioButton"       Renderer="Falagard/ToggleButton"      LookNFeel="TaharezLook/RadioButton" />
+    <FalagardMapping WindowType="TaharezLook/FrameWindow"                 TargetType="CEGUI/FrameWindow"       Renderer="Falagard/FrameWindow"       LookNFeel="TaharezLook/FrameWindow" />
+    <FalagardMapping WindowType="TaharezLook/Titlebar"                    TargetType="CEGUI/Titlebar"          Renderer="Falagard/Titlebar"          LookNFeel="TaharezLook/Titlebar" />
+    <FalagardMapping WindowType="TaharezLook/SystemButton"                TargetType="CEGUI/PushButton"        Renderer="Falagard/SystemButton"      LookNFeel="TaharezLook/Button" />
+    <FalagardMapping WindowType="TaharezLook/Editbox"                     TargetType="CEGUI/Editbox"           Renderer="Falagard/Editbox"           LookNFeel="TaharezLook/Editbox" />
+    <FalagardMapping WindowType="TaharezLook/MultiLineEditbox"            TargetType="CEGUI/MultiLineEditbox"  Renderer="Falagard/MultiLineEditbox"  LookNFeel="TaharezLook/MultiLineEditbox" />
+    <FalagardMapping WindowType="TaharezLook/Menubar"                     TargetType="CEGUI/Menubar"           Renderer="Falagard/Menubar"           LookNFeel="TaharezLook/Menubar" />
+    <FalagardMapping WindowType="TaharezLook/PopupMenu"                   TargetType="CEGUI/PopupMenu"         Renderer="Falagard/PopupMenu"         LookNFeel="TaharezLook/PopupMenu" />
+    <FalagardMapping WindowType="TaharezLook/MenuItem"                    TargetType="CEGUI/MenuItem"          Renderer="Falagard/MenuItem"          LookNFeel="TaharezLook/MenuItem" />
+    <FalagardMapping WindowType="TaharezLook/AlternateProgressBar"        TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="TaharezLook/AltProgressBar" />
+    <FalagardMapping WindowType="TaharezLook/ProgressBar"                 TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="TaharezLook/ProgressBar" />
+    <FalagardMapping WindowType="TaharezLook/VUMeter"                     TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="TaharezLook/VUMeter" />
+    <FalagardMapping WindowType="TaharezLook/VerticalScrollbar"           TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="TaharezLook/VerticalScrollbar" />
+    <FalagardMapping WindowType="TaharezLook/HorizontalScrollbar"         TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="TaharezLook/HorizontalScrollbar" />
+    <FalagardMapping WindowType="TaharezLook/VerticalScrollbarThumb"      TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="TaharezLook/VerticalScrollbarThumb" />
+    <FalagardMapping WindowType="TaharezLook/HorizontalScrollbarThumb"    TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="TaharezLook/HorizontalScrollbarThumb" />
+    <FalagardMapping WindowType="TaharezLook/LargeVerticalScrollbar"      TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="TaharezLook/LargeVerticalScrollbar" />
+    <FalagardMapping WindowType="TaharezLook/LargeVerticalScrollbarThumb" TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="TaharezLook/LargeVerticalScrollbarThumb" />
+    <FalagardMapping WindowType="TaharezLook/TabButton"                   TargetType="CEGUI/TabButton"         Renderer="Falagard/TabButton"         LookNFeel="TaharezLook/TabButton" />
+    <FalagardMapping WindowType="TaharezLook/TabControl"                  TargetType="CEGUI/TabControl"        Renderer="Falagard/TabControl"        LookNFeel="TaharezLook/TabControl" />
+    <FalagardMapping WindowType="TaharezLook/TabContentPane"              TargetType="DefaultWindow"           Renderer="Falagard/Default"           LookNFeel="TaharezLook/TabContentPane" />
+    <FalagardMapping WindowType="TaharezLook/TabButtonPane"               TargetType="DefaultWindow"           Renderer="Falagard/Default"           LookNFeel="TaharezLook/TabButtonPane" />
+    <FalagardMapping WindowType="TaharezLook/ComboDropList"               TargetType="CEGUI/ComboDropList"     Renderer="Falagard/Listbox"           LookNFeel="TaharezLook/ComboDropList" />
+    <FalagardMapping WindowType="TaharezLook/ComboEditbox"                TargetType="CEGUI/Editbox"           Renderer="Falagard/Editbox"           LookNFeel="TaharezLook/ComboEditbox" />
+    <FalagardMapping WindowType="TaharezLook/Combobox"                    TargetType="CEGUI/Combobox"          Renderer="Falagard/Default"           LookNFeel="TaharezLook/Combobox" />
+    <FalagardMapping WindowType="TaharezLook/Listbox"                     TargetType="CEGUI/Listbox"           Renderer="Falagard/Listbox"           LookNFeel="TaharezLook/Listbox" />
+    <FalagardMapping WindowType="TaharezLook/ListHeader"                  TargetType="CEGUI/ListHeader"        Renderer="Falagard/ListHeader"        LookNFeel="TaharezLook/ListHeader" />
+    <FalagardMapping WindowType="TaharezLook/ListHeaderSegment"           TargetType="CEGUI/ListHeaderSegment" Renderer="Falagard/ListHeaderSegment" LookNFeel="TaharezLook/ListHeaderSegment" />
+    <FalagardMapping WindowType="TaharezLook/MultiColumnList"             TargetType="CEGUI/MultiColumnList"   Renderer="Falagard/MultiColumnList"   LookNFeel="TaharezLook/MultiColumnList" />
+    <FalagardMapping WindowType="TaharezLook/Slider"                      TargetType="CEGUI/Slider"            Renderer="Falagard/Slider"            LookNFeel="TaharezLook/Slider" />
+    <FalagardMapping WindowType="TaharezLook/SliderThumb"                 TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="TaharezLook/SliderThumb" />
+    <FalagardMapping WindowType="TaharezLook/ScrollablePane"              TargetType="CEGUI/ScrollablePane"    Renderer="Falagard/ScrollablePane"    LookNFeel="TaharezLook/ScrollablePane" />
+    <FalagardMapping WindowType="TaharezLook/Spinner"                     TargetType="CEGUI/Spinner"           Renderer="Falagard/Default"           LookNFeel="TaharezLook/Spinner" />
+    <FalagardMapping WindowType="TaharezLook/Tooltip"                     TargetType="CEGUI/Tooltip"           Renderer="Falagard/Tooltip"           LookNFeel="TaharezLook/Tooltip" />
+    <FalagardMapping WindowType="TaharezLook/StaticImage"                 TargetType="DefaultWindow"           Renderer="Falagard/StaticImage"       LookNFeel="TaharezLook/StaticImage" />
+    <FalagardMapping WindowType="TaharezLook/StaticText"                  TargetType="DefaultWindow"           Renderer="Falagard/StaticText"        LookNFeel="TaharezLook/StaticText" />
+    <FalagardMapping WindowType="TaharezLook/ItemListbox"                 TargetType="CEGUI/ItemListbox"       Renderer="Falagard/ItemListbox"       LookNFeel="TaharezLook/ItemListbox" />
+    <FalagardMapping WindowType="TaharezLook/ListboxItem"                 TargetType="CEGUI/ItemEntry"         Renderer="Falagard/ItemEntry"         LookNFeel="TaharezLook/ListboxItem" />
+    <FalagardMapping WindowType="TaharezLook/GroupBox"                    TargetType="CEGUI/GroupBox"          Renderer="Falagard/Default"           LookNFeel="TaharezLook/GroupBox" />
+    <FalagardMapping WindowType="TaharezLook/Tree"                        TargetType="CEGUI/Tree"              Renderer="Falagard/Tree"              LookNFeel="TaharezLook/Tree" />
 </GUIScheme>
Index: code/branches/gamestate/data/gui/schemes/TaharezMenuWidgets.scheme
===================================================================
--- code/branches/gamestate/data/gui/schemes/TaharezMenuWidgets.scheme	(revision 6564)
+++ code/branches/gamestate/data/gui/schemes/TaharezMenuWidgets.scheme	(revision 6566)
@@ -1,51 +1,46 @@
 <?xml version="1.0" ?>
 <GUIScheme Name="TaharezMenuWidgets">
-    <Imageset Name="TaharezLook" Filename="TaharezLook.imageset" />
-    <Font Name="BlueHighway-12" Filename="BlueHighway-12.font" />
-    <LookNFeel Filename="TaharezLook.looknfeel" />
-    <WindowRendererSet Filename="CEGUIFalagardWRBase" />
-    
-    <FalagardMapping WindowType="MenuWidgets/Button"                      TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="TaharezLook/Button" />
-    <FalagardMapping WindowType="MenuWidgets/Checkbox"                    TargetType="CEGUI/Checkbox"          Renderer="Falagard/ToggleButton"      LookNFeel="TaharezLook/Checkbox" />
-    <FalagardMapping WindowType="MenuWidgets/ImageButton"                 TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="TaharezLook/ImageButton" />
-    <FalagardMapping WindowType="MenuWidgets/RadioButton"                 TargetType="CEGUI/RadioButton"       Renderer="Falagard/ToggleButton"      LookNFeel="TaharezLook/RadioButton" />
-    <FalagardMapping WindowType="MenuWidgets/FrameWindow"                 TargetType="CEGUI/FrameWindow"       Renderer="Falagard/FrameWindow"       LookNFeel="TaharezLook/FrameWindow" />
-    <FalagardMapping WindowType="MenuWidgets/Titlebar"                    TargetType="CEGUI/Titlebar"          Renderer="Falagard/Titlebar"          LookNFeel="TaharezLook/Titlebar" />
-    <FalagardMapping WindowType="MenuWidgets/SystemButton"                TargetType="CEGUI/PushButton"        Renderer="Falagard/SystemButton"      LookNFeel="TaharezLook/Button" />
-    <FalagardMapping WindowType="MenuWidgets/Editbox"                     TargetType="CEGUI/Editbox"           Renderer="Falagard/Editbox"           LookNFeel="TaharezLook/Editbox" />
-    <FalagardMapping WindowType="MenuWidgets/MultiLineEditbox"            TargetType="CEGUI/MultiLineEditbox"  Renderer="Falagard/MultiLineEditbox"  LookNFeel="TaharezLook/MultiLineEditbox" />
-    <FalagardMapping WindowType="MenuWidgets/Menubar"                     TargetType="CEGUI/Menubar"           Renderer="Falagard/Menubar"           LookNFeel="TaharezLook/Menubar" />
-    <FalagardMapping WindowType="MenuWidgets/PopupMenu"                   TargetType="CEGUI/PopupMenu"         Renderer="Falagard/PopupMenu"         LookNFeel="TaharezLook/PopupMenu" />
-    <FalagardMapping WindowType="MenuWidgets/MenuItem"                    TargetType="CEGUI/MenuItem"          Renderer="Falagard/MenuItem"          LookNFeel="TaharezLook/MenuItem" />
-    <FalagardMapping WindowType="MenuWidgets/AlternateProgressBar"        TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="TaharezLook/AltProgressBar" />
-    <FalagardMapping WindowType="MenuWidgets/ProgressBar"                 TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="TaharezLook/ProgressBar" />
-    <FalagardMapping WindowType="MenuWidgets/VUMeter"                     TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="TaharezLook/VUMeter" />
-    <FalagardMapping WindowType="MenuWidgets/VerticalScrollbar"           TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="TaharezLook/VerticalScrollbar" />
-    <FalagardMapping WindowType="MenuWidgets/HorizontalScrollbar"         TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="TaharezLook/HorizontalScrollbar" />
-    <FalagardMapping WindowType="MenuWidgets/VerticalScrollbarThumb"      TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="TaharezLook/VerticalScrollbarThumb" />
-    <FalagardMapping WindowType="MenuWidgets/HorizontalScrollbarThumb"    TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="TaharezLook/HorizontalScrollbarThumb" />
-    <FalagardMapping WindowType="MenuWidgets/LargeVerticalScrollbar"      TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="TaharezLook/LargeVerticalScrollbar" />
-    <FalagardMapping WindowType="MenuWidgets/LargeVerticalScrollbarThumb" TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="TaharezLook/LargeVerticalScrollbarThumb" />
-    <FalagardMapping WindowType="MenuWidgets/TabButton"                   TargetType="CEGUI/TabButton"         Renderer="Falagard/TabButton"         LookNFeel="TaharezLook/TabButton" />
-    <FalagardMapping WindowType="MenuWidgets/TabControl"                  TargetType="CEGUI/TabControl"        Renderer="Falagard/TabControl"        LookNFeel="TaharezLook/TabControl" />
-    <FalagardMapping WindowType="MenuWidgets/TabContentPane"              TargetType="DefaultWindow"           Renderer="Falagard/Default"           LookNFeel="TaharezLook/TabContentPane" />
-    <FalagardMapping WindowType="MenuWidgets/TabButtonPane"               TargetType="DefaultWindow"           Renderer="Falagard/Default"           LookNFeel="TaharezLook/TabButtonPane" />
-    <FalagardMapping WindowType="MenuWidgets/ComboDropList"               TargetType="CEGUI/ComboDropList"     Renderer="Falagard/Listbox"           LookNFeel="TaharezLook/ComboDropList" />
-    <FalagardMapping WindowType="MenuWidgets/ComboEditbox"                TargetType="CEGUI/Editbox"           Renderer="Falagard/Editbox"           LookNFeel="TaharezLook/ComboEditbox" />
-    <FalagardMapping WindowType="MenuWidgets/Combobox"                    TargetType="CEGUI/Combobox"          Renderer="Falagard/Default"           LookNFeel="TaharezLook/Combobox" />
-    <FalagardMapping WindowType="MenuWidgets/Listbox"                     TargetType="CEGUI/Listbox"           Renderer="Falagard/Listbox"           LookNFeel="TaharezLook/Listbox" />
-    <FalagardMapping WindowType="MenuWidgets/ListHeader"                  TargetType="CEGUI/ListHeader"        Renderer="Falagard/ListHeader"        LookNFeel="TaharezLook/ListHeader" />
-    <FalagardMapping WindowType="MenuWidgets/ListHeaderSegment"           TargetType="CEGUI/ListHeaderSegment" Renderer="Falagard/ListHeaderSegment" LookNFeel="TaharezLook/ListHeaderSegment" />
-    <FalagardMapping WindowType="MenuWidgets/MultiColumnList"             TargetType="CEGUI/MultiColumnList"   Renderer="Falagard/MultiColumnList"   LookNFeel="TaharezLook/MultiColumnList" />
-    <FalagardMapping WindowType="MenuWidgets/Slider"                      TargetType="CEGUI/Slider"            Renderer="Falagard/Slider"            LookNFeel="TaharezLook/Slider" />
-    <FalagardMapping WindowType="MenuWidgets/SliderThumb"                 TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="TaharezLook/SliderThumb" />
-    <FalagardMapping WindowType="MenuWidgets/ScrollablePane"              TargetType="CEGUI/ScrollablePane"    Renderer="Falagard/ScrollablePane"    LookNFeel="TaharezLook/ScrollablePane" />
-    <FalagardMapping WindowType="MenuWidgets/Spinner"                     TargetType="CEGUI/Spinner"           Renderer="Falagard/Default"           LookNFeel="TaharezLook/Spinner" />
-    <FalagardMapping WindowType="MenuWidgets/Tooltip"                     TargetType="CEGUI/Tooltip"           Renderer="Falagard/Tooltip"           LookNFeel="TaharezLook/Tooltip" />
-    <FalagardMapping WindowType="MenuWidgets/StaticImage"                 TargetType="DefaultWindow"           Renderer="Falagard/StaticImage"       LookNFeel="TaharezLook/StaticImage" />
-    <FalagardMapping WindowType="MenuWidgets/StaticText"                  TargetType="DefaultWindow"           Renderer="Falagard/StaticText"        LookNFeel="TaharezLook/StaticText" />
-    <FalagardMapping WindowType="MenuWidgets/ItemListbox"                 TargetType="CEGUI/ItemListbox"       Renderer="Falagard/ItemListbox"       LookNFeel="TaharezLook/ItemListbox" />
-    <FalagardMapping WindowType="MenuWidgets/ListboxItem"                 TargetType="CEGUI/ItemEntry"         Renderer="Falagard/ItemEntry"         LookNFeel="TaharezLook/ListboxItem" />
-    <FalagardMapping WindowType="MenuWidgets/GroupBox"                    TargetType="CEGUI/GroupBox"          Renderer="Falagard/Default"           LookNFeel="TaharezLook/GroupBox" />
-    <FalagardMapping WindowType="MenuWidgets/Tree"                        TargetType="CEGUI/Tree"              Renderer="Falagard/Tree"              LookNFeel="TaharezLook/Tree" />
+    <WindowAlias Alias="MenuWidgets/Button"                      Target="TaharezLook/Button" />
+    <WindowAlias Alias="MenuWidgets/Checkbox"                    Target="TaharezLook/Checkbox" />
+    <WindowAlias Alias="MenuWidgets/ImageButton"                 Target="TaharezLook/ImageButton" />
+    <WindowAlias Alias="MenuWidgets/RadioButton"                 Target="TaharezLook/RadioButton" />
+    <WindowAlias Alias="MenuWidgets/FrameWindow"                 Target="TaharezLook/FrameWindow" />
+    <WindowAlias Alias="MenuWidgets/Titlebar"                    Target="TaharezLook/Titlebar" />
+    <WindowAlias Alias="MenuWidgets/SystemButton"                Target="TaharezLook/SystemButton" />
+    <WindowAlias Alias="MenuWidgets/Editbox"                     Target="TaharezLook/Editbox" />
+    <WindowAlias Alias="MenuWidgets/MultiLineEditbox"            Target="TaharezLook/MultiLineEditbox" />
+    <WindowAlias Alias="MenuWidgets/Menubar"                     Target="TaharezLook/Menubar" />
+    <WindowAlias Alias="MenuWidgets/PopupMenu"                   Target="TaharezLook/PopupMenu" />
+    <WindowAlias Alias="MenuWidgets/MenuItem"                    Target="TaharezLook/MenuItem" />
+    <WindowAlias Alias="MenuWidgets/AlternateProgressBar"        Target="TaharezLook/AlternateProgressBar" />
+    <WindowAlias Alias="MenuWidgets/ProgressBar"                 Target="TaharezLook/ProgressBar" />
+    <WindowAlias Alias="MenuWidgets/VUMeter"                     Target="TaharezLook/VUMeter" />
+    <WindowAlias Alias="MenuWidgets/VerticalScrollbar"           Target="TaharezLook/VerticalScrollbar" />
+    <WindowAlias Alias="MenuWidgets/HorizontalScrollbar"         Target="TaharezLook/HorizontalScrollbar" />
+    <WindowAlias Alias="MenuWidgets/VerticalScrollbarThumb"      Target="TaharezLook/VerticalScrollbarThumb" />
+    <WindowAlias Alias="MenuWidgets/HorizontalScrollbarThumb"    Target="TaharezLook/HorizontalScrollbarThumb" />
+    <WindowAlias Alias="MenuWidgets/LargeVerticalScrollbar"      Target="TaharezLook/LargeVerticalScrollbar" />
+    <WindowAlias Alias="MenuWidgets/LargeVerticalScrollbarThumb" Target="TaharezLook/LargeVerticalScrollbarThumb" />
+    <WindowAlias Alias="MenuWidgets/TabButton"                   Target="TaharezLook/TabButton" />
+    <WindowAlias Alias="MenuWidgets/TabControl"                  Target="TaharezLook/TabControl" />
+    <WindowAlias Alias="MenuWidgets/TabContentPane"              Target="TaharezLook/TabContentPane" />
+    <WindowAlias Alias="MenuWidgets/TabButtonPane"               Target="TaharezLook/TabButtonPane" />
+    <WindowAlias Alias="MenuWidgets/ComboDropList"               Target="TaharezLook/ComboDropList" />
+    <WindowAlias Alias="MenuWidgets/ComboEditbox"                Target="TaharezLook/ComboEditbox" />
+    <WindowAlias Alias="MenuWidgets/Combobox"                    Target="TaharezLook/Combobox" />
+    <WindowAlias Alias="MenuWidgets/Listbox"                     Target="TaharezLook/Listbox" />
+    <WindowAlias Alias="MenuWidgets/ListHeader"                  Target="TaharezLook/ListHeader" />
+    <WindowAlias Alias="MenuWidgets/ListHeaderSegment"           Target="TaharezLook/ListHeaderSegment" />
+    <WindowAlias Alias="MenuWidgets/MultiColumnList"             Target="TaharezLook/MultiColumnList" />
+    <WindowAlias Alias="MenuWidgets/Slider"                      Target="TaharezLook/Slider" />
+    <WindowAlias Alias="MenuWidgets/SliderThumb"                 Target="TaharezLook/SliderThumb" />
+    <WindowAlias Alias="MenuWidgets/ScrollablePane"              Target="TaharezLook/ScrollablePane" />
+    <WindowAlias Alias="MenuWidgets/Spinner"                     Target="TaharezLook/Spinner" />
+    <WindowAlias Alias="MenuWidgets/Tooltip"                     Target="TaharezLook/Tooltip" />
+    <WindowAlias Alias="MenuWidgets/StaticImage"                 Target="TaharezLook/StaticImage" />
+    <WindowAlias Alias="MenuWidgets/StaticText"                  Target="TaharezLook/StaticText" />
+    <WindowAlias Alias="MenuWidgets/ItemListbox"                 Target="TaharezLook/ItemListbox" />
+    <WindowAlias Alias="MenuWidgets/ListboxItem"                 Target="TaharezLook/ListboxItem" />
+    <WindowAlias Alias="MenuWidgets/GroupBox"                    Target="TaharezLook/GroupBox" />
+    <WindowAlias Alias="MenuWidgets/Tree"                        Target="TaharezLook/Tree" />
 </GUIScheme>
Index: code/branches/gamestate/data/gui/schemes/TaharezMenuWidgetsAliases.scheme
===================================================================
--- code/branches/gamestate/data/gui/schemes/TaharezMenuWidgetsAliases.scheme	(revision 6564)
+++ 	(revision )
@@ -1,46 +1,0 @@
-<?xml version="1.0" ?>
-<GUIScheme Name="TaharezMenuWidgetsAliases">
-    <WindowAlias Alias="TaharezLook/Button"                      Target="MenuWidgets/Button" />
-    <WindowAlias Alias="TaharezLook/Checkbox"                    Target="MenuWidgets/Checkbox" />
-    <WindowAlias Alias="TaharezLook/ImageButton"                 Target="MenuWidgets/ImageButton" />
-    <WindowAlias Alias="TaharezLook/RadioButton"                 Target="MenuWidgets/RadioButton" />
-    <WindowAlias Alias="TaharezLook/FrameWindow"                 Target="MenuWidgets/FrameWindow" />
-    <WindowAlias Alias="TaharezLook/Titlebar"                    Target="MenuWidgets/Titlebar" />
-    <WindowAlias Alias="TaharezLook/SystemButton"                Target="MenuWidgets/SystemButton" />
-    <WindowAlias Alias="TaharezLook/Editbox"                     Target="MenuWidgets/Editbox" />
-    <WindowAlias Alias="TaharezLook/MultiLineEditbox"            Target="MenuWidgets/MultiLineEditbox" />
-    <WindowAlias Alias="TaharezLook/Menubar"                     Target="MenuWidgets/Menubar" />
-    <WindowAlias Alias="TaharezLook/PopupMenu"                   Target="MenuWidgets/PopupMenu" />
-    <WindowAlias Alias="TaharezLook/MenuItem"                    Target="MenuWidgets/MenuItem" />
-    <WindowAlias Alias="TaharezLook/AlternateProgressBar"        Target="MenuWidgets/AlternateProgressBar" />
-    <WindowAlias Alias="TaharezLook/ProgressBar"                 Target="MenuWidgets/ProgressBar" />
-    <WindowAlias Alias="TaharezLook/VUMeter"                     Target="MenuWidgets/VUMeter" />
-    <WindowAlias Alias="TaharezLook/VerticalScrollbar"           Target="MenuWidgets/VerticalScrollbar" />
-    <WindowAlias Alias="TaharezLook/HorizontalScrollbar"         Target="MenuWidgets/HorizontalScrollbar" />
-    <WindowAlias Alias="TaharezLook/VerticalScrollbarThumb"      Target="MenuWidgets/VerticalScrollbarThumb" />
-    <WindowAlias Alias="TaharezLook/HorizontalScrollbarThumb"    Target="MenuWidgets/HorizontalScrollbarThumb" />
-    <WindowAlias Alias="TaharezLook/LargeVerticalScrollbar"      Target="MenuWidgets/LargeVerticalScrollbar" />
-    <WindowAlias Alias="TaharezLook/LargeVerticalScrollbarThumb" Target="MenuWidgets/LargeVerticalScrollbarThumb" />
-    <WindowAlias Alias="TaharezLook/TabButton"                   Target="MenuWidgets/TabButton" />
-    <WindowAlias Alias="TaharezLook/TabControl"                  Target="MenuWidgets/TabControl" />
-    <WindowAlias Alias="TaharezLook/TabContentPane"              Target="MenuWidgets/TabContentPane" />
-    <WindowAlias Alias="TaharezLook/TabButtonPane"               Target="MenuWidgets/TabButtonPane" />
-    <WindowAlias Alias="TaharezLook/ComboDropList"               Target="MenuWidgets/ComboDropList" />
-    <WindowAlias Alias="TaharezLook/ComboEditbox"                Target="MenuWidgets/ComboEditbox" />
-    <WindowAlias Alias="TaharezLook/Combobox"                    Target="MenuWidgets/Combobox" />
-    <WindowAlias Alias="TaharezLook/Listbox"                     Target="MenuWidgets/Listbox" />
-    <WindowAlias Alias="TaharezLook/ListHeader"                  Target="MenuWidgets/ListHeader" />
-    <WindowAlias Alias="TaharezLook/ListHeaderSegment"           Target="MenuWidgets/ListHeaderSegment" />
-    <WindowAlias Alias="TaharezLook/MultiColumnList"             Target="MenuWidgets/MultiColumnList" />
-    <WindowAlias Alias="TaharezLook/Slider"                      Target="MenuWidgets/Slider" />
-    <WindowAlias Alias="TaharezLook/SliderThumb"                 Target="MenuWidgets/SliderThumb" />
-    <WindowAlias Alias="TaharezLook/ScrollablePane"              Target="MenuWidgets/ScrollablePane" />
-    <WindowAlias Alias="TaharezLook/Spinner"                     Target="MenuWidgets/Spinner" />
-    <WindowAlias Alias="TaharezLook/Tooltip"                     Target="MenuWidgets/Tooltip" />
-    <WindowAlias Alias="TaharezLook/StaticImage"                 Target="MenuWidgets/StaticImage" />
-    <WindowAlias Alias="TaharezLook/StaticText"                  Target="MenuWidgets/StaticText" />
-    <WindowAlias Alias="TaharezLook/ItemListbox"                 Target="MenuWidgets/ItemListbox" />
-    <WindowAlias Alias="TaharezLook/ListboxItem"                 Target="MenuWidgets/ListboxItem" />
-    <WindowAlias Alias="TaharezLook/GroupBox"                    Target="MenuWidgets/GroupBox" />
-    <WindowAlias Alias="TaharezLook/Tree"                        Target="MenuWidgets/Tree" />
-</GUIScheme>
